
Like Button - Bug #1685

Invalid roadmap and version pages URLs

24 Mar 2011 23:09 - Andriy Lesyuk

Status: Closed Start date: 24 Mar 2011

Priority: Normal Due date: 10 Jun 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.3   

Redmine version:  External issue:  

Description

A version can have an associated Wiki page. This page is shown (besides Wiki page view) on version page and on roadmap.

Currently the plugin uses request.url to determine the URL. So for Wiki page view, version page and roadmap it uses current URL

which is not correct for Roadmap. For version page and Wiki page it is correct.

Replacing request.url with url_for() (see #1683) would not solve the issue as in this case URL would not be correct for version page

and roadmap.

Related issues:

Related to Like Button - Feature #1683: Replace request object with url_for() Closed 24 Mar 2011 10 Jun 2011

History

#1 - 19 Apr 2011 13:29 - Andriy Lesyuk

- Target version set to 0.0.3

#2 - 10 Jun 2011 10:49 - Andriy Lesyuk

- Status changed from Open to In Progress

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 100

For now just hide Like button on roadmap and versions pages... Will add another “Like” button there...

#3 - 10 Jun 2011 22:49 - Andriy Lesyuk

- Due date set to 10 Jun 2011

- Status changed from In Progress to Closed

Powered by TCPDF (www.tcpdf.org)

17 Apr 2024 1/1

http://projects.andriylesyuk.com/issues/1683
http://www.tcpdf.org

